package com.its.vms.dao.mapper;

import com.its.vms.entity.TbRseOffrDrct;
import com.its.vms.entity.TbRseOffrSect;
import com.its.vms.entity.TbRseOffrSectTraf;
import com.its.vms.dto.voDsrcOffrSectTraf;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface RseOffrSectMapper {

    List<TbRseOffrSect> selectRseOffrSectAll();
    List<TbRseOffrDrct> selectRseOffrDrctAll();
    List<voDsrcOffrSectTraf> selectRseOffrSectTraf();
    List<voDsrcOffrSectTraf> selectRseOffrSectTrafMulti();  // Not Use
    int updateRseOffrSectTraf(@Param("obj") TbRseOffrSectTraf obj);
    int insertRseOffrSectTrafHs(@Param("obj") TbRseOffrSectTraf obj);
}
